<div class="contentRightB">
    <div class="contentFull left  filler-bottom-end-p">
        <div class="content-holder filler-bottom">
            <h3>Travel</h3>
            <nz-spin nzTip="Loading..." [nzSpinning]="isLoading[0]">
            <div class="companyEdit small">
                <ul class="cHead">
                    <li>
                        <p>Current location</p>
                    </li>
                    <li>
                        <a href='{{hostUrl}}/region/{{entityInfo.region?.id}}' target="_blank">{{entityInfo.region?.name}}</a>,
                        <a href='{{hostUrl}}/country/{{entityInfo.country?.id}}' target="_blank"> <img src='{{hostUrl}}/{{entityInfo.country?.flagLocation[0]}}' width="16" /> {{entityInfo.country?.name}}</a>
                    </li>
                </ul>

            </div>
            <div class="companyEdit small">
                <ul>
                    <li>
                        <p>Choose region</p>
                    </li>
                    <li>
                        <nz-select style="width: 100%;" [(ngModel)]="selectedRegion" nzAllowClear nzShowSearch
                            nzPlaceHolder="Choose region" (ngModelChange)="regionSelected($event)"
                            [nzLoading]="isLoading[0]">
                            <nz-option-group nzLabel="{{country.name}}" *ngFor="let country of countries">
                                <nz-option *ngFor="let region of country.regions" [nzValue]="region.id"
                                    nzLabel="{{region.name}}"></nz-option>
                            </nz-option-group>
                        </nz-select>
                    </li>
                </ul>
            </div>
        </nz-spin>
            <nz-spin *ngIf="travelInfo !== undefined" nzTip="Loading..." [nzSpinning]="isLoading[1]">
                <div class="companyEdit small">
                    <ul>
                        <li>
                            <p>Distance</p>
                        </li>
                        <li>
                            <p><span id="distance">{{travelInfo.distance}}</span> {{'General.Common.Units' | translate}}
                            </p>
                        </li>
                    </ul>
                </div>
                <div class="companyEdit small">
                    <ul>
                        <li>
                            <p>Hospital quality</p>
                        </li>
                        <li>
                            <div style="color: goldenrod;" id="hospitalQ" [innerHtml]="travelInfo.hospitalQStars"></div>
                        </li>
                    </ul>
                </div>
                <div class="companyEdit small">
                    <ul style="min-height: 55px;">
                        <li>
                            <p>Ticket necessary <img src="{{hostUrl}}/assets/img/ico/eco/prod/moving-ticket.png"
                                    style="width: 3em; vertical-align: middle; padding-right: 1em; float:right"></p>
                        </li>
                        <li>
                            <div style="color: goldenrod;" id="requiredTicket" [innerHtml]="travelInfo.ticketQStars">
                            </div>
                        </li>
                    </ul>
                </div>
                <div class="companyEdit small">
                    <ul>
                        <li>
                            <p>Choose ticket</p>
                        </li>
                        <li>
                            <nz-select style="width: 100%;" nzAllowClear nzPlaceHolder="Select ticket"
                                [(ngModel)]="selectedTicketQ" [nzCustomTemplate]="custom">
                                <nz-option nzCustomContent nzLabel="Gold" nzValue="10"><img
                                        src="{{hostUrl}}/assets/img/ico/player/gold.png" width="17" height="17">
                                    Gold ({{travelInfo.cost}})</nz-option>
                                <nz-option *ngFor="let ticket of tickets" nzCustomContent nzLabel="Ticket"
                                    nzValue="{{ticket.quality}}"><img
                                        src="{{hostUrl}}/assets/img/ico/eco/prod/moving-ticket.png" width="17"
                                        height="17"> Ticket (<span [innerHtml]="ticket.qualityStars"></span>)
                                </nz-option>
                            </nz-select>
                            <ng-template #custom let-selected>
                                <span>{{ selected.nzLabel }}</span>
                            </ng-template>
                        </li>
                    </ul>
                </div>
                <div class="companyEdit small" style="border:none;">
                    <div class="right">
                        <button name="ticketChosen" class="blButton" (click)="travel()" style="border:none;">Travel</button>
                    </div>
                    <div class="clear"></div>
                </div>
            </nz-spin>
        </div>
    </div>
</div>
<div class="clear"></div>